# Exploring Natural Language Processing Methods for Interactive Behaviour Modelling

*Guanhua Zhang, Matteo Bortoletto, Zhiming Hu, Lei Shi, Mihai Bâce, and Andreas Bulling*

Proc. IFIP TC13 Conference on Human-Computer Interaction (INTERACT), 2023, York, UK

---


This repository contains the EMAKI dataset

- To download the dataset, please fill up our license agreement (TBA)

As well as code for

- Byte pair encoding (BPE)
- The Transformer-based classifier

---

If you find this repository helpful, please cite our work:

```
@inproceedings{zhang2023exploring,
  title = {Exploring Natural Language Processing Methods for Interactive Behaviour Modelling},
  author = {Zhang, Guanhua and Bortoletto, Matteo and Hu, Zhiming and Shi, Lei and B{\^a}ce, Mihai and Bulling, Andreas},
  booktitle = {Proc. IFIP TC13 Conference on Human-Computer Interaction (INTERACT)},
  pages = {1--22},
  year = {2023},
  publisher = {Springer}
}
```